org.eclipse.emf.facet.efacet.core.exception

## Class DerivedTypedElementException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.emf.facet.efacet.core.exception.DerivedTypedElementException

All Implemented Interfaces:
  java.io.Serializable

    public class DerivedTypedElementException
    extends java.lang.Exception

This exception is raised when something is wrong with a query, and there is not a more specific sub-class to describe the error (e.g. `DerivedTypedElementEvaluationException` )

Since:
  0.2
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DerivedTypedElementException(java.lang.String message)`
`DerivedTypedElementException(java.lang.String message, java.lang.Throwable cause)`
`DerivedTypedElementException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DerivedTypedElementException

    public DerivedTypedElementException(java.lang.String message)

#### DerivedTypedElementException

    public DerivedTypedElementException(java.lang.String message,
                                        java.lang.Throwable cause)

#### DerivedTypedElementException

    public DerivedTypedElementException(java.lang.Throwable cause)